<?php
/**
 *  /api/gteam/???
 */

use Illuminate\Support\Facades\Route;

Route::resource('enter', 'Gteam\EnterController');
Route::resource('room', 'Gteam\RoomController');
Route::resource('activitys', 'Gteam\ActivityController');

// 获取最近的助力记录
Route::get('/invite/{invite_id}/history', 'Share\GteamController@history')->where('invite_id', '[0-9]+');

// 获取助力的气泡
Route::get('/invite/{activity_id}/lastInvite', 'Share\GteamController@lastInvite')->where('activity_id', '[0-9]+');

// 活动男女数量
Route::get('/activity/{activity_id}/sexproportion', 'Gteam\EnterController@sexproportion')->where('activity_id',
    '[0-9]+');

// 获取某个用户信息
Route::get('/user/{uid}/getinfo', 'Gteam\UserController@getUser')->where('uid', '[0-9]+');